import res.platforms.openfl.OpenFLPlatform;
import res.RES;
import openfl.display.Sprite;
import res.rom.Rom;
import res.features.fonts.KernalFont;
import res.features.devtools.console.ConsoleFeature;

class OFLMain extends Sprite {
	public function new() {
		super();

		RES.boot(new OpenFLPlatform(this), {
			resolution: PIXELS(256, 320),
			mainScene: MainMenu,
			rom: Rom.embed('rom'),
			features: [KernalFont, ConsoleFeature]
		});
	}
}
